=== modified file 'AllDayEventComponent.qml'
--- AllDayEventComponent.qml	2014-10-24 13:18:29 +0000
+++ AllDayEventComponent.qml	2014-10-24 14:30:20 +0000
@@ -36,8 +36,8 @@
     anchors {
         left :parent.left
         right: parent.right
-        leftMargin: units.gu(6)
-        rightMargin: units.gu(3)
+        leftMargin: type == ViewType.ViewTypeDay ? units.gu(6) : 0
+        rightMargin: type == ViewType.ViewTypeDay ? units.gu(3): 0
     }
 
     function getAllDayEvents(startDate, endDate) {
@@ -118,8 +118,8 @@
                         text =  i18n.tr("%1 ev.").arg(events.length)
                     } else {
                         if( events.length > 1) {
-                           // TRANSLATORS: the argument refers to the number of all day events
-                           text = i18n.tr("%1 all day event", "%1 all day events", events.length).arg(events.length)
+                            // TRANSLATORS: the argument refers to the number of all day events
+                            text = i18n.tr("%1 all day event", "%1 all day events", events.length).arg(events.length)
                         } else {
                             text = events[0].displayLabel;
                         }

=== modified file 'YearView.qml'
--- YearView.qml	2014-10-24 13:21:42 +0000
+++ YearView.qml	2014-10-24 14:30:20 +0000
@@ -50,7 +50,7 @@
             id:year
             objectName:"yearLabel"
             fontSize: "x-large"
-            text: currentYear
+            text: i18n.tr("Year %1").arg(currentYear)
         }
     }
 

